Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.server
Class ObjectNew

    java.lang.Object
      com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase
          com.google.gwt.core.server.ObjectNew

All Implemented Interfaces:
  ServerGwtBridge.ClassInstantiator

    final class ObjectNew

extends ServerGwtBridge.ClassInstantiatorBase

A class instantiator that simple news the requested class. Used as a last resort.

Constructor Summary
`ObjectNew()`

Method Summary
`
`<T> T`
` | `create(java.lang.Class<?> clazz, ServerGwtBridge.Properties properties)` Create an instance given a base class.

Methods inherited from class com.google.gwt.core.server.ServerGwtBridge.ClassInstantiatorBase
`tryCreate, tryCreate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectNew

    ObjectNew()

Method Detail

### create

    public <T> T create(java.lang.Class<?> clazz,
                        ServerGwtBridge.Properties properties)

  Description copied from interface: `ServerGwtBridge.ClassInstantiator`
  Create an instance given a base class. The created class may be a subtype of the requested class.

  Returns:
    instance or null if unable to create

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD